# ACE_Hash< TYPE > Class Template Reference

Function object for hashing. More...

`#include <Functor_T.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (const TYPE &t) const
| Simply calls t.hash ().

## Detailed Description

### template<class TYPE>
class ACE_Hash< TYPE >

Function object for hashing.

## Member Function Documentation

template<class TYPE>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE unsigned long ACE_Hash< TYPE >::operator() | ( | const TYPE & | t | ) | const

| Simply calls t.hash ().

The documentation for this class was generated from the following files:

- Functor_T.h
- Functor_T.inl